Ubuntu

weird document recovery attempt of openoffice after fullscreen slideshow with oo presentation

Reported by nigra on 2007-03-08
260
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openoffice.org (Baltix)
Undecided
Unassigned
openoffice.org (Ubuntu)
High
Matthias Klose

Bug Description

Binary package hint: openoffice.org

 Steps to reproduce:
 1.Open an oo presentation file. Start slide show. Exit the slideshow.
 2.Close oo presentation.
 3.An oo document recovery window is opened though there is no crash in fact.
   The list of documents to be recovered is empty as well.
 4.After that, oo writer weirdly starts with a new document automatically.

Further Information:
Maybe related to this:https://launchpad.net/ubuntu/+source/openoffice.org/+bug/33444
Not sure, not the same problem.

Version Information:
Ubuntu Feisty Fawn Herd5 up-to-date
Open Office 2.2.0-1ubuntu3

description: updated
Vytas (vytas) wrote :

i get the same bug

Vytas (vytas) wrote :

Strange that recovery starts, openoffice exits just normally.

$ gdb --args /usr/lib/openoffice/program/ooqstart test.odp
GNU gdb 6.6-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(gdb) run
Starting program: /usr/lib/openoffice/program/ooqstart test.odp
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
libGL warning: 3D driver claims to not support visual 0x5b

Program exited normally.

Chris Burgan (cburgan) wrote :

I was able to reproduce this quite easily with the steps in the original post.

Changed in openoffice.org:
importance: Undecided → Medium
status: Unconfirmed → Confirmed
Chris Burgan (cburgan) wrote :

bug #90007 is very similar, with the exception that it actually crashed. I'm not sure if it's actually a duplicate but if it is, it contains apport information.

Vytas (vytas) wrote :

To me these bugs seem to be not directly related, unless proved otherwise. They might be connected, but aren't duplicates at this point.

Steve Dodd (anarchetic) wrote :

I've just seen this in Feisty Beta, after following the long test procedure (<https://wiki.ubuntu.com/Testing/Long>), simply by opening /usr/share/example-content/oo-presenting-ubuntu.odp, playing the slideshow, and quitting the application.

Like the OP, I get no crash dumps, no apport, nothing in ~/.xsession-errors, just the recovery wizard (and the weirdness of OO Writer starting up.)

JPedro (pedro-tumusok) wrote :

I also see this bug, it happens every time I view a powerpoint presentation in fullscreen slideshow mode.

Matthias Klose (doko) on 2007-03-30
description: updated
Matthias Klose (doko) on 2007-03-31
Changed in openoffice.org:
importance: Medium → High
Jonas August (jonas-cs) wrote :

I see this bug too on amd64 feisty beta. I first noticed it when I added a movie to a presentation then did a slide show and closed out. Almost submitted a bug report!

drunken-wallaby (berndl81) wrote :

I can confirm this bug with an up-to-date feisty.

DavidDay (dday376) wrote :

I have this bug also, but without even viewing a slideshow. It happens when working in a new odp file, and it happens after about 5-10 min of activity. If I open the file and do nothing, no crash.

I get no logs or anything from OOo on the crash, it just restarts and shows the recovery window. And then on occasion when I exit, oowriter pops up with a new document for no apparent reason.

I'm on Edgy, latest updates. OOo version 2.0.4, just updated a couple days ago. Problem started after updating OOo.

I've launched with strace and gdb, and neither seem to provide anything useful, as OOo forks before the crash occurs.

tasadar_f (tasadarf) wrote :

I can confirm this bug. Ubuntu feisty with openoffice.org-core (= 2.2.0-1ubuntu2)

Stephen Wilson (sk-wilson) wrote :

I also confirm the original post. Using up-to-date Feisty. Crash happens with any presentation, new or existing and in any format.

Alex Launi (alexlauni) wrote :

confirmed here. hp dv5139us feisty fully updated.

Jan Mynarik (jan-mynarik) wrote :

Same here, up-to-date feisty.

Sylvain59 (sylvain59) wrote :

Same here, Feisty final version

Steve Dodd (anarchetic) wrote :

Still present in feisty final. Really surprised this wasn't fixed for the release.

erlguta (gonzalomarcote) wrote :

Same in my HP Pavilion dv2104eu with Feisty update, release version.
The same story...

Stephen Wilson (sk-wilson) wrote :

For the record, the crash does not happen when you download and install the stock version with GNOME support directly from OO. So, I'm not sure that there's anything wrong upstream.

Prakash J Kokkatt (pjkonweb) wrote :

I just killed all dbus-daemon,dbus-launch etc forcefully and tried running impress via soffice command and tried the same routine ran slideshow,try to save etc.and it shows the same window about ...just recovered from crash....etc
but what i saw in terminal may be a enlightenment:

prakash@ubuntu:~$ soffice
process 12053: arguments to dbus_connection_set_exit_on_disconnect() were incorrect, assertion "connection != NULL" failed in file dbus-connection.c line 2830.
This is normally a bug in some application using the D-Bus library.

^^ after running slideshow etc.Hope it helps fixing the bug.

Blaiz (blaiz) wrote :

Hi,

I confirm the bug too. I performed an up-to-date from Edgy to Feisty and now with OpenOffice 2.2 I've got the bug everytime I play a PowerPoint presentation in fullscreen and then close OpenOffice after watching the presentation.

I tried opening it in a terminal, here is the messages I got:

(process:28878): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

(process:28878): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

(process:28878): Gdk-CRITICAL **: gdk_screen_get_font_options: assertion `GDK_IS_SCREEN (screen)' failed

This messages appeared many times but I don't think it is related to this problem. There isn't anything else that appeared in the terminal.

Brian Rogers (brian-rogers) wrote :

Open Office is indeed crashing. You just don't notice because it happens after you close the last window. That is also why the presentation you close isn't listed as a document to recover. You can tell that OO is crashing because if you have other documents open, their windows will also disappear, and it will do the document recovery on them.

Alternative reproduction method:
* Open presentation
* Display Fullscreen (F5 or Slideshow -> Slideshow)
* Alt-tab back to Presenter edit window.
* ctrl-F4 to close talk
--- No crash at this point. Fullscreen window still works as expected
* esc to close fullscreen
--- Crash appears here

Blaiz (blaiz) wrote :

"Open Office is indeed crashing. You just don't notice because it happens after you close the last window. That is also why the presentation you close isn't listed as a document to recover. You can tell that OO is crashing because if you have other documents open, their windows will also disappear, and it will do the document recovery on them."

Yes you're right. I tried opening two presentations at the same time. It closed the second one, and it also closed the other document. Then the recovery for the first document appeared. After the recovery, the first document is opened.

So there really is a crash everytime you close OpenOffice Impress (didn't test the other programs of OpenOffice).

Vtrain (niartv) wrote :

Some bug on ubuntu festy with openoffice presenter 2.2 :(

Tomi (tomi-digiflex) wrote :

I can confirm the bug with the up to date feisty. It's quite annoying, my workaround is to use the Ctrl+Q hotkey instead of other methods( Alt+F4 or the top-right corner X button).

Nick B. (futurepilot) wrote :

Same thing happens to me. Bug confirmed.

rsa (richard-candrarthur) wrote :

Confirm original description, except it is a crash.

cement_head (andor-udel) wrote :

Me too +1

This is a really annoying bug.

The same here. Ubuntu Feisty stable.

Amit Saha (amitsaha) wrote :

+1

Same here. Ubuntu Fiesty Stable

citizenofnowhere (annafil) wrote :

I've found a temporary workaround (out of necessity as I didn't have the option of cancelling the recovery process at any point which lead me in a neverending loop):

delete the ~/openoffice.org2/user/registry/data/org/openoffice/Office/Recovery.xcu

This doesn't fix the original bug, merely ensures the recovery dialogue doesn't pop up next time you start any OOo app.

This of course assumes that you always save consisntely and do not wish to recover anything.

STaRMaN (jarizaro) wrote :

Here the some thing..

Running Kubuntu Feisty final.

Where close pressentation appears always "recover window".

description: updated
Pac Shady (pacshady) wrote :

Still confirmed, Feisty up-to-date, version 2.2.0-1ubuntu3. Occurs with both PowerPoint and Impress presentations.

I think everyone should be satisfied that this bug is confirmed, but has anyone made any progress with a fix, it's really annoying?

Simos Xenitellis (simosx) wrote :

To get this bug fixed, it has to be reported upstream at www.openoffice.org (as an "issue"), then linked here (there is a facility for this with "Also Affects Upstream").

Is the following
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/115226
a duplicate?

No, that doesn't seem to be a duplicate. I would report it at
openoffice.org, but I think it's a bug in Ubuntu's OOo packages, not OOo
itself, so doesn't that make it an Ubuntu issue?

Jon

On 5/19/07, Simos Xenitellis <email address hidden> wrote:
>
> To get this bug fixed, it has to be reported upstream at
> www.openoffice.org (as an "issue"), then linked here (there is a
> facility for this with "Also Affects Upstream").
>
> Is the following
> https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/115226
> a duplicate?
>
> --
> weird document recovery attempt of openoffice after fullscreen slideshow
> with oo presentation
> https://bugs.launchpad.net/bugs/90513
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Stephen Wilson (sk-wilson) wrote :

I don't think it's an upstream bug, either. When I posted this problem on OOo forums, no one else was having the issue. They recommended I delete the Ubuntu version of OOo and install the "OEM" version directly from OOo. When I did, the bug went away. So, it's pretty clear that the bug was somehow introduced by Ubuntu.

Interesting, so is there anything else we can do, apart from bump the ubuntu
bug report?

Jon

On 5/19/07, Stephen Wilson <email address hidden> wrote:
>
> I don't think it's an upstream bug, either. When I posted this problem
> on OOo forums, no one else was having the issue. They recommended I
> delete the Ubuntu version of OOo and install the "OEM" version directly
> from OOo. When I did, the bug went away. So, it's pretty clear that the
> bug was somehow introduced by Ubuntu.
>
> --
> weird document recovery attempt of openoffice after fullscreen slideshow
> with oo presentation
> https://bugs.launchpad.net/bugs/90513
> You received this bug notification because you are a direct subscriber
> of the bug.
>

M.S.S (m.s.s.) wrote :

I have to support Stephen. I suppose that there is a library compatibility problem in Ubuntu. So someone here should check the packaging in the distro.

Nick B. (futurepilot) wrote :

This definitely only effects the Ubuntu version. I'm about to go ahead and grab the RPMs and use Alien.

Sam Ma (sam15) wrote :

Yes, this definitely is an Ubuntu-specific problem. I just downloaded the RPMs from the OOo site and installed them using Alien. The crashing no longer occurs when I run a full screen impress presentation and exit... yay!

M.S.S (m.s.s.) wrote :

Debian packages for OOo 2.2 are available too. It works too fine.

Brian Murray (brian-murray) wrote :

I tested with the Debian package version 2.2.1~rc1-1 and it did not crash given the steps above.

erlguta (gonzalomarcote) wrote :

> Interesting, so is there anything else we can do, apart from bump the ubuntu
> bug report?

> Jon

Good question.
I think, someboby working on it.
Because...is somebody working on it. isnt it?
Maybe for gusty.

Joseph Maillardet (jokx) wrote :

Same bug here on 5 different computers.

I can see this , too, BUT ONLY WHEN I CLOSE THE OOFFICE WINDOW WITH THE WINDOW CLOSE BUTTON ("X").

OOffice closes normally if you go the way File->Exit

Can you confirm that?

up-to-date feisty system here

timbl (timbl) wrote :

no, also happens when closed by File->Exit here

tasadar_f (tasadarf) wrote :

Same Bug here. Ubuntu feisty 7.04

I also have this bug. Ubuntu Feisty Fawn 7.04.

Brian Rogers (brian-rogers) wrote :

Open Office 2.2.1 RC3 from Gutsy does not suffer from this issue. Hopefully when 2.2.1 is released as an update in Feisty, this will be fixed.

Przemysław Kulczycki (azrael) wrote :

Same bug here. Feisty with latest updates. This bug is very annoying.

tasadar_f (tasadarf) wrote :

Backtrace. I hope this backtrace help to fix error.

csantiago (santiago-carlos) wrote :

Confirmed here, up-to-date feisty.

Skeletonix (tomaskloucek) wrote :

+1

André Cruz (andrefcruz) wrote :

+1 Confirmed here, up-to-date feisty.

+1 Confirmed here, up-to-date feisty.

tasadar_f (tasadarf) wrote :

Please port 2.2.1 final Gutsy to feisty (Gutsy does not suffer from this issue)

gerard (zzking) wrote :

same for me

aa6 (jte091805) wrote :

Guys the bug is confirmed. I also got the same weird recovery something after closing a presentation right after viewing the presentation in full window mode

Ricardo (ricardopintoalmeida) wrote :

The same here

Matthias Klose (doko) wrote :

fixed in gutsy, pending for feisty

Changed in openoffice.org:
assignee: nobody → doko
status: Confirmed → In Progress
Jim Hutchinson (jphutch) wrote :

Until this is fixed, is there a way to re-install OOo from the gutsy repos if you are using feisty? Or would that likely break a lot of things?

Ricardo (ricardopintoalmeida) wrote :

Are they available? I don't really know if that could do any harm...

Cian Davis (davisc) wrote :

Well, the gutsy impress package requires an updated glibc for some architectures. New glibc will quite likely break stuff. Dunno if there's a backport available...

Matthias Klose (doko) wrote :

openoffice.org (2.2.0-1ubuntu4) feisty-security; urgency=low

  * ooo-build/patches/src680/sw.rtf.prtdata.diff: fix RTF parser heap
    overflow (CVE-2007-0244).
  * Avoid wrong document recovery attempt after fullscreen presentations
    in Impress. Closes LP: #90513.
  * Do not hide the OOo Draw menu item. Closes LP: #75478.
  * Fix icon style selection to not select a style which is not installed.
    Closes LP: #106186.

 -- Matthias Klose <email address hidden> Mon, 2 Jul 2007 14:49:53 +0200

Changed in openoffice.org:
status: In Progress → Fix Released
Stephen Wilson (sk-wilson) wrote :

Perfect! Thanks so much, Matthias!

STaRMaN (jarizaro) wrote :

Thank you for this fix, Matthias. :)

csantiago (santiago-carlos) wrote :

Thankx Matthias,

I am new to launchpad, but why didn't you post the direct link to the patch?

I think is this:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/2.2.0-1ubuntu4
right?

On 7/10/07, Matthias Klose <email address hidden> wrote:
> openoffice.org (2.2.0-1ubuntu4) feisty-security; urgency=low
>
> * ooo-build/patches/src680/sw.rtf.prtdata.diff: fix RTF parser heap
> overflow (CVE-2007-0244).
> * Avoid wrong document recovery attempt after fullscreen presentations
> in Impress. Closes LP: #90513.
> * Do not hide the OOo Draw menu item. Closes LP: #75478.
> * Fix icon style selection to not select a style which is not installed.
> Closes LP: #106186.
>
> -- Matthias Klose <email address hidden> Mon, 2 Jul 2007 14:49:53 +0200
>
> ** Changed in: openoffice.org (Ubuntu)
> Status: In Progress => Fix Released
>
> ** CVE added: http://www.cve.mitre.org/cgi-
> bin/cvename.cgi?name=2007-0244
>
> --
> weird document recovery attempt of openoffice after fullscreen slideshow with oo presentation
> https://bugs.launchpad.net/bugs/90513
> You received this bug notification because you are a direct subscriber
> of the bug.
>

After the update, trying the example presentation the presentation itself does not start, locking all the buttons and the gnome panels...do not know if it's only a problem of the particular configuration of my laptop...

cement_head (andor-udel) wrote :

csantiago,

From a terminal type:

sudo apt-get update
sudo apt-get upgrade

Now you should get the 81 MB of patched OO software.

Thanks Matthias for this patch - Just in time for the new academic year!

Ricardo (ricardopintoalmeida) wrote :

Thanks! :)

csantiago (santiago-carlos) wrote :

I already did it, thank you Cement.
And thank you again Mattias for this patch!

On 7/12/07, Ricardo <email address hidden> wrote:
> Thanks! :)
>
> --
> weird document recovery attempt of openoffice after fullscreen slideshow with oo presentation
> https://bugs.launchpad.net/bugs/90513
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I apologize for my previous post, the crash was due to some gtk-engines, gnome-themes and other stuff (AWN repos ecc...) that i've installed by non-supported sources, with the official ubuntu packages it works good. There's only a little glitch: when i open a presentation file the draw buttons below seems to become garbaged.

Marco Passeri (marcopasseri) wrote :

everything is ok! thanks

El Viejo Lobo (yigal-lupo) wrote :

I am happy to see that the bug was fixed some how, I do not know when and how. More then likely with one of the last updates.
Thanks a lot to whoever did the job.

Chris Cheney (ccheney) wrote :

openoffice.org (2.2.0-1ubuntu5) feisty; urgency=low

  * ooo-build/patches/src680/itiff.diff: fix tiff heap overflow
    (CVE-2007-2834)

openoffice.org (2.2.0-1ubuntu4) feisty-security; urgency=low

  * ooo-build/patches/src680/sw.rtf.prtdata.diff: fix RTF parser heap
    overflow (CVE-2007-0244).
  * Avoid wrong document recovery attempt after fullscreen presentations
    in Impress. Closes LP: #90513.
  * Do not hide the OOo Draw menu item. Closes LP: #75478.
  * Fix icon style selection to not select a style which is not installed.
    Closes LP: #106186.

openoffice.org (2.2.0-1ubuntu3) feisty; urgency=low

  * openoffice.org-style-crystal: Suggest (instead of recommending)
    kde-icons-crystal, crystalcursors. Ubuntu #104176.
  * openoffice.org-style-industrial: Suggest (instead of recommending)
    gtk2-engines, gnome-themes, industrial-cursor-theme.

openoffice.org (2.2.0-1ubuntu2) feisty; urgency=low

  * openoffice.org: Make openoffice.org-filter-binfilter a recommendation
    instead of a dependency to save space on the CD.

openoffice.org (2.2.0-1ubuntu1) feisty; urgency=low

  * Merge with Debian.
  * Update ooo-build.
  * openoffice.org-core: Recommend nfs-common. Ubuntu #64813.
  * Re-merge generic menu icons names. Ubuntu #99779.
  * Build using neon25. Ubuntu #92345.
  * Build using internal copy of xmlsec. Ubuntu #45801.
  * openoffice.org-common: Depend on desktop-file-utils. Ubuntu #70105.
  * openoffice.org-style-default: Build it as a transitional package.
    Ubuntu #102690.
  * Import Fedora fixes:
    - Fix crashes in Outliner::ImplHasBullet(). Ubuntu #96622.
  * Update ubuntu template documents.
  * Update human icon theme, contributed by Gabriel Hurley.

openoffice.org (2.2.0-1) experimental; urgency=low

  * 2.2.0 final release.
  * ooo-build:
    - update (r9112)
      + libpaper-support.diff, libpaper-link.diff: add (closes: #412067)
  * debian/rules:
    - follow upstreams mono pkg-config rename to mono-openoffice.pc
    - fix glibc 2.5 check
  * debian/control.in:
    - build-depend on libpaper-dev
    - fix duplicate Replaces: at -style-andromeda, thanks lintian
  * debian/ttf-opensymbol.post{inst,rm}.in: use fc-cache -fs
  * debian/libuno-cil.{prerm,postinst}.in: fix typo

 -- Chris Cheney <email address hidden> Tue, 2 Oct 2007 11:56:09 -0500

Changed in openoffice.org:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers